/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  //                                                 FUEL.h
  //+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

  Copyright (c) 2025 Carlo Marcheggiani 

    FUEL.h is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *****************************************************************************************************************************/

/* Alarm mask define */
/* Left Sender */
#define LOSIG_L       (1<<0)
#define HISIG_L       (1<<1)
#define NOSIG_L       (1<<2)
/* Rght Sender */
#define LOSIG_R       (1<<3)

#define HISIG_R       (1<<4)
#define NOSIG_R       (1<<5)
/* Aux Sender */
#define LOSIG_A       (1<<6)
#define HISIG_A       (1<<7)

#define NOSIG_A       (1<<8)
/* Watchdog triggered */
#define WTCDG         (1<<9)
/* Lo Power Voltage */
#define PWRERR         (1<<10)
/* Hi Temperature of Die */
#define DIETEMP        (1<<11)

#define FUEL_MSGS_TIMEOUT 200 // Number of loops without RDAC messages
#define FUEL_CAN_ID       35  // CAN ID of RDAC bit 4-11
#define FUEL_UPDATE_LEVEL 1 // if delta level is more than this, the fuel display will be updated
#define NOFTANKS          2 // Number of tanks